CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > SU2 > SU2 Installation

SU2 7.0 compile in macOS Catalina

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   December 4, 2019, 01:59
Default SU2 7.0 compile in macOS Catalina
  #1
New Member
 
Hyun Ko
Join Date: Jun 2009
Posts: 15
Rep Power: 12
hyunko is on a distinguished road
Hi all,

I am trying to compile SU2 7.0 blackbird on macOS Catalina.

Before the compiling, the binary files are working well.

When I tried to build using meson.py, I got the following outputs seems URLError.

Please check the following messages and give me the help.

Thanks in advance.

=============================================
>>./meson.py build
Downloading CoDiPack '501dcf0305df147481630f20ce37c2e624fb351f'
Traceback (most recent call last):
File "/Applications/Xcode.app/Contents/Developer/Library/Frameworks/Python3.framework/Versions/3.7/lib/python3.7/urllib/request.py", line 1317, in do_open
encode_chunked=req.has_header('Transfer-encoding'))
File "/Applications/Xcode.app/Contents/Developer/Library/Frameworks/Python3.framework/Versions/3.7/lib/python3.7/http/client.py", line 1229, in request
self._send_request(method, url, body, headers, encode_chunked)
File "/Applications/Xcode.app/Contents/Developer/Library/Frameworks/Python3.framework/Versions/3.7/lib/python3.7/http/client.py", line 1275, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "/Applications/Xcode.app/Contents/Developer/Library/Frameworks/Python3.framework/Versions/3.7/lib/python3.7/http/client.py", line 1224, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "/Applications/Xcode.app/Contents/Developer/Library/Frameworks/Python3.framework/Versions/3.7/lib/python3.7/http/client.py", line 1016, in _send_output
self.send(msg)
File "/Applications/Xcode.app/Contents/Developer/Library/Frameworks/Python3.framework/Versions/3.7/lib/python3.7/http/client.py", line 956, in send
self.connect()
File "/Applications/Xcode.app/Contents/Developer/Library/Frameworks/Python3.framework/Versions/3.7/lib/python3.7/http/client.py", line 1392, in connect
server_hostname=server_hostname)
File "/Applications/Xcode.app/Contents/Developer/Library/Frameworks/Python3.framework/Versions/3.7/lib/python3.7/ssl.py", line 412, in wrap_socket
session=session
File "/Applications/Xcode.app/Contents/Developer/Library/Frameworks/Python3.framework/Versions/3.7/lib/python3.7/ssl.py", line 853, in _create
self.do_handshake()
File "/Applications/Xcode.app/Contents/Developer/Library/Frameworks/Python3.framework/Versions/3.7/lib/python3.7/ssl.py", line 1117, in do_handshake
self._sslobj.do_handshake()
ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1056)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "./meson.py", line 71, in <module>
init_submodules('auto')
File "/Users/hyunko/Work/SU2-7.0/su2code/meson_scripts/init.py", line 85, in init_submodules
download_module(codi_name, alt_name_codi, github_repo_codi, sha_version_codi)
File "/Users/hyunko/Work/SU2-7.0/su2code/meson_scripts/init.py", line 165, in download_module
urllib.request.urlretrieve (url, commit_sha + '.zip')
File "/Applications/Xcode.app/Contents/Developer/Library/Frameworks/Python3.framework/Versions/3.7/lib/python3.7/urllib/request.py", line 247, in urlretrieve
with contextlib.closing(urlopen(url, data)) as fp:
File "/Applications/Xcode.app/Contents/Developer/Library/Frameworks/Python3.framework/Versions/3.7/lib/python3.7/urllib/request.py", line 222, in urlopen
return opener.open(url, data, timeout)
File "/Applications/Xcode.app/Contents/Developer/Library/Frameworks/Python3.framework/Versions/3.7/lib/python3.7/urllib/request.py", line 525, in open
response = self._open(req, data)
File "/Applications/Xcode.app/Contents/Developer/Library/Frameworks/Python3.framework/Versions/3.7/lib/python3.7/urllib/request.py", line 543, in _open
'_open', req)
File "/Applications/Xcode.app/Contents/Developer/Library/Frameworks/Python3.framework/Versions/3.7/lib/python3.7/urllib/request.py", line 503, in _call_chain
result = func(*args)
File "/Applications/Xcode.app/Contents/Developer/Library/Frameworks/Python3.framework/Versions/3.7/lib/python3.7/urllib/request.py", line 1360, in https_open
context=self._context, check_hostname=self._check_hostname)
File "/Applications/Xcode.app/Contents/Developer/Library/Frameworks/Python3.framework/Versions/3.7/lib/python3.7/urllib/request.py", line 1319, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1056)>
hyunko is offline   Reply With Quote

Old   December 4, 2019, 05:24
Default
  #2
Super Moderator
 
Tim Albring
Join Date: Sep 2015
Posts: 186
Rep Power: 6
talbring is on a distinguished road
Hi Hyun,

can you try to install the certifi package like it is detailed here: https://timonweb.com/tutorials/fixin...ml-out-on-mac/

Please report back whether that helps or not.
__________________
Developer Director @ SU2 Foundation

Get involved:
talbring is offline   Reply With Quote

Old   December 4, 2019, 11:58
Default
  #3
New Member
 
Hyun Ko
Join Date: Jun 2009
Posts: 15
Rep Power: 12
hyunko is on a distinguished road
Hi talbring,

I got the following messages and same urlliberror.
I guess it is related to python version.
I have installed python3 but pip is linked to python2.7.

Any remedy for that?

Thanks.


=========================

hyunko@HYUNui-MacBookPro ~ % pip install --upgrade certifi

DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/develo...thon-2-support
WARNING: The directory '/Users/hyunko/Library/Caches/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
WARNING: The directory '/Users/hyunko/Library/Caches/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
Requirement already up-to-date: certifi in /Library/Python/2.7/site-packages (2019.11.28)
hyunko is offline   Reply With Quote

Old   December 5, 2019, 04:15
Default
  #4
Super Moderator
 
Tim Albring
Join Date: Sep 2015
Posts: 186
Rep Power: 6
talbring is on a distinguished road
Can you try the installation with pip3 ? And also maybe the alternative step found in the link I posted above?
__________________
Developer Director @ SU2 Foundation

Get involved:
talbring is offline   Reply With Quote

Old   December 5, 2019, 07:14
Default
  #5
New Member
 
Hyun Ko
Join Date: Jun 2009
Posts: 15
Rep Power: 12
hyunko is on a distinguished road
Thanks.

I have installed python following instruction. (see the link)

https://opensource.com/article/19/5/...-3-default-mac

It works.

Too many warnings(approx. 700 warnings) are generated rather than Ubuntu.

Although too many warnings, SU2 runs well in parallel mode.


Thanks again.

================================================== ==
../SU2_CFD/include/solver_structure.hpp:3590:16: note: overridden virtual function is here
virtual void LoadRestart(CGeometry **geometry, CSolver ***solver,
^
../SU2_CFD/include/solver_structure.hpp:13144:8: warning: 'ComputeResidual_Multizone' overrides a member function but is not marked 'override' [-Winconsistent-missing-override]
void ComputeResidual_Multizone(CGeometry *geometry, CConfig *config);
^
../SU2_DEF/src/../include/../../SU2_CFD/include/solver_structure.hpp:294:16: note: overridden virtual function is here
virtual void ComputeResidual_Multizone(CGeometry *geometry, CConfig *config);
^
677 warnings generated.
[359/360] Installing files.
Installing SU2_CFD/src/SU2_CFD to /usr/local/bin
Installing SU2_DOT/src/SU2_DOT to /usr/local/bin
Installing SU2_DEF/src/SU2_DEF to /usr/local/bin
Installing SU2_GEO/src/SU2_GEO to /usr/local/bin
hyunko is offline   Reply With Quote

Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
Introducing SU2 International Developers Society (IDS) fpalacios SU2 News & Announcements 1 June 17, 2019 23:38
Problems when compile SU2 v4.X with openmpi BopngMa SU2 1 September 6, 2015 07:30
can su2 compile on windows by Intel compiler set wangqi198877 SU2 3 August 10, 2014 05:01
Compile SU2 with mpiicpc codezy SU2 Installation 3 April 16, 2014 11:20
Can someone PLEASE document the development version installation bernd OpenFOAM Installation 76 November 14, 2008 22:51


All times are GMT -4. The time now is 09:14.